Dancer::Cookie(3pm)

NAME
Dancer::Cookie - class representing cookies

VERSION
version 1.3522

SYNOPSIS
    use Dancer::Cookie;

    my $cookie = Dancer::Cookie->new(
        name => $cookie_name, value => $cookie_value
    );

DESCRIPTION
Dancer::Cookie provides an HTTP cookie object to work with cookies.

ATTRIBUTES

  name
The cookie's name.

  value
The cookie's value.

  expires
The cookie's expiration date. There are several formats.

Unix epoch time like 1288817656 to mean "Wed, 03-Nov-2010 20:54:16 GMT"

A human-readable offset from the current time such as "2 hours". It currently understands...

    s second seconds sec secs
    m minute minutes min mins
    h hr hour hours
    d day days
    w week weeks
    M month months
    y year years

Months and years are currently fixed at 30 and 365 days. This may change.

Anything else is used verbatim.

  domain
The cookie's domain.

  path
The cookie's path.

  secure
If true, it instructs the client to only serve the cookie over secure connections such as HTTPS.

  http_only
By default cookies are created with a property named "HttpOnly", that can be used for security, forcing the cookie to be used only by the server (via HTTP) and not by any JavaScript code.

If your cookie is meant to be used by some JavaScript code, set this attribute to 0.

METHODS/SUBROUTINES

  new
Create a new Dancer::Cookie object.

You can set any attribute described in the ATTRIBUTES section above.

  init
Runs an expiration test and sets a default path if not set.

  to_header
Creates a proper HTTP cookie header from the content.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.